<div>
	<mat-form-field>
		<input matInput type="number"
			   placeholder="Nombre de bières"
			   [(ngModel)]="nbBeersToCreate"
			   (keyup.enter)="createBeers()"/>

	</mat-form-field>
	<button mat-raised-button color="primary"
			(click)="createBeers()"
			[disabled]="!nbBeersToCreate || (creatingBeers | async)">
		Importer
	</button>

	<button mat-raised-button color="warn"
			(click)="stopCreatingBeers()"
			[disabled]="!(creatingBeers | async)">
		Arrêter l'import
	</button>
	<mat-progress-bar *ngIf="nbBeersToCreate" mode="determinate" [value]="percentage$ | async"></mat-progress-bar>
</div>
<div>
	<app-beers-table *ngIf="beer$; else waiting" [beers]="beer$"></app-beers-table>
</div>
<div>
	<ng-template #waiting>Importe des nouvelles bières, on a soif !</ng-template>
</div>